# Class InstanceManagerBindings

java.lang.Object
org.apache.tomcat.InstanceManagerBindings

public final class InstanceManagerBindings extends Object
Utility class for binding `InstanceManager` instances to class loaders.

## Method Summary

Modifier and Type
Method
Description
`static void`
`bind(ClassLoader classLoader, InstanceManager instanceManager)`
Bind an InstanceManager to the given class loader.
`static InstanceManager`
`get(ClassLoader classLoader)`
Get the InstanceManager bound to the given class loader.
`static void`
`unbind(ClassLoader classLoader)`
Unbind the InstanceManager associated with the given class loader.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### bind

public static void bind(ClassLoader classLoader, InstanceManager instanceManager)
Bind an InstanceManager to the given class loader.

Parameters:
  `classLoader` - the class loader
  `instanceManager` - the instance manager to bind

### unbind

public static void unbind(ClassLoader classLoader)
Unbind the InstanceManager associated with the given class loader.

Parameters:
  `classLoader` - the class loader

### get

public static InstanceManager get(ClassLoader classLoader)
Get the InstanceManager bound to the given class loader.

Parameters:
  `classLoader` - the class loader
Returns:
  the bound InstanceManager, or `null` if none